## galapi
Class Context

    java.lang.Object
      galapi.Context

Direct Known Subclasses:
  ExternalContext, ModuleContext, QueryContext

public abstract class Context
extends java.lang.Object

The `Context` provides the minimal structure of a context.

Field Summary
`protected int` `item`

Constructor Summary
`Context()`

Method Summary
`protected void` `finalize()`
`protected int` `getNativeItem()`
`protected static void` `nativeFree(int i)`
`protected void` `setItem(int i)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### item

    protected int item

Constructor Detail

### Context

    public Context()

Method Detail

### setItem

    protected void setItem(int i)

### getNativeItem

    protected int getNativeItem()

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### nativeFree

    protected static void nativeFree(int i)